format_version: '1.0'


repository_url: https://github.com/openwall/john
issue_url: https://github.com/openwall/john/issues/654


input_files:
  base_version:
    input_file: 'a-base.zip'
    commit_sha1: a042024
  fix_attempt:
    - input_file: 'b-partial-1.diff'
      commit_sha1: 9d6963c866b00d2d003fdd59fe1d549177fe060b
    - input_file: 'b-partial-2.diff'
      commit_sha1: f8ced75032922573d69066b5e9e894b1d3f1cf7d

        
expected_fix:
  input_file: 'c-expected-fix.diff'
  commit_sha1: 22bd0674ea3be946bd84f1e54a62dccd76ec0a36

options:
  language: C
